/repairshopr-customers | Type: Application | PCID required: Yes
Tools
repairshopr_customers_create_contacts
Creates a Contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
address1 | string | No | — | The address1 value |
address2 | string | No | — | The address2 value |
city | string | No | — | The city value |
customer_id | integer | Yes | — | Customer Id |
email | string | No | — | The email value |
mobile | string | No | — | The mobile value |
name | string | No | — | The name value |
notes | string | No | — | The notes value |
phone | string | No | — | The phone value |
state | string | No | — | The state value |
zip | string | No | — | The zip value |
repairshopr_customers_create_customers
Creates a Customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
address | string | No | — | The address value |
address_2 | string | No | — | Address 2 |
business_name | string | No | — | Business Name |
city | string | No | — | The city value |
consent | object | No | — | The consent value |
email | string | No | — | The email value |
firstname | string | No | — | The firstname value |
get_billing | boolean | No | — | Get Billing |
get_marketing | boolean | No | — | Get Marketing |
get_reports | boolean | No | — | Get Reports |
get_sms | boolean | No | — | Get Sms |
invoice_cc_emails | string | No | — | Invoice Cc Emails |
invoice_term_id | integer | No | — | Invoice Term Id |
lastname | string | No | — | The lastname value |
mobile | string | No | — | The mobile value |
no_email | boolean | No | — | No Email |
notes | string | No | — | The notes value |
notification_email | string | No | — | Notification Email |
opt_out | boolean | No | — | Opt Out |
phone | string | No | — | The phone value |
properties | object | No | — | The properties value |
ref_customer_id | integer | No | — | Ref Customer Id |
referred_by | string | No | — | Referred By |
state | string | No | — | The state value |
tax_rate_id | integer | No | — | Tax Rate Id |
zip | string | No | — | The zip value |
repairshopr_customers_create_leads
Creates a Lead Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
address | string | No | — | The address value |
appointment_time | string | No | — | Appointment Time |
appointment_type_id | integer | No | — | Appointment Type Id |
business_name | string | No | — | Business Name |
city | string | No | — | The city value |
contact_id | integer | No | — | Contact Id |
converted | boolean | No | — | The converted value |
customer_id | integer | No | — | Customer Id |
customer_purchase_id | integer | No | — | Customer Purchase Id |
disabled | boolean | No | — | The disabled value |
email | string | No | — | The email value |
first_name | string | No | — | First Name |
from_check_in | boolean | No | — | From Check In |
hidden_notes | string | No | — | Hidden Notes |
last_name | string | No | — | Last Name |
likelihood | integer | No | — | The likelihood value |
location_id | integer | No | — | Location Id |
mailbox_id | integer | No | — | Mailbox Id |
message_read | boolean | No | — | Message Read |
mobile | string | No | — | The mobile value |
opportunity_amount_dollars | number | No | — | Opportunity Amount Dollars |
opportunity_start_date | string | No | — | Opportunity Start Date |
phone | string | No | — | The phone value |
properties | object | No | — | The properties value |
signature_data | string | No | — | Signature Data |
signature_date | string | No | — | Signature Date |
signature_name | string | No | — | Signature Name |
state | string | No | — | The state value |
status | string | No | — | The status value |
ticket_description | string | No | — | Ticket Description |
ticket_id | integer | No | — | Ticket Id |
ticket_problem_type | string | No | — | Ticket Problem Type |
ticket_properties | object | No | — | Ticket Properties |
ticket_subject | string | No | — | Ticket Subject |
ticket_type_id | integer | No | — | Ticket Type Id |
user_id | integer | No | — | User Id |
zip | string | No | — | The zip value |
repairshopr_customers_create_portal_users
Creates a Portal User Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contact_id | integer | No | — | Contact Id |
customer_id | integer | No | — | Customer Id |
email | string | No | — | The email value |
password | string | No | — | The password value |
password_confirmation | string | No | — | Password Confirmation |
portal_group_id | integer | No | — | Portal Group Id |
repairshopr_customers_create_portal_users_create_invitation
Creates an Invitation for a Portal User Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_delete_by_id
Deletes a Customer by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_delete_contacts_by_id
Deletes a Contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_delete_portal_users_by_id
Deletes a Portal User by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_get_by_id
Retrieves a Customer by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_get_contacts_by_id
Retrieves a Contact by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_get_leads_by_id
Retrieves a Lead by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
repairshopr_customers_list_contacts
Returns a paginated list of Contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | integer | No | — | Any contacts attached to a Customer ID |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 25 results |
repairshopr_customers_list_customers
Returns a paginated list of customers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sort | string | No | — | A customer field to order by. Examples “firstname ASC”, “city DESC”. |
query | string | No | — | Search query |
firstname | string | No | — | Any customers with a first name like the parameter |
lastname | string | No | — | Any customers with a last name like the parameter |
business_name | string | No | — | Any customers with a business name like the parameter |
id | integer[] | No | — | Any customers with ID included in the list |
not_id | integer[] | No | — | Any customers with ID not included in the list |
email | string | No | — | The email value |
include_disabled | string | No | — | Whether or not the returned list of customers includes disabled customers |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 25 results |
repairshopr_customers_list_customers_autocomplete
Returns a paginated list of customers for autocomplete query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | No | — | Search query |
repairshopr_customers_list_customers_latest
Returns latest Customerrepairshopr_customers_list_leads
Returns a paginated list of Leads Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
statuses | string[] | No | — | Array of statuses. Possible values are “New”, “Lead”, “First Contact”, “Opportunity”, “Prospect”, “Waiting on Client”, “In Negotiation”, “Pending”, “Won”, “Lost”. |
status_list | string | No | — | Comma separated list of statuses. |
users | integer[] | No | — | Array of user IDs. |
mailbox_ids | integer[] | No | — | Array of Mailbox IDs |
has_ticket | boolean | No | — | Has Ticket |
query | string | No | — | Search query |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 25 results |
repairshopr_customers_list_portal_users
Returns a paginated list of Portal Users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | integer | No | — | Returns Portal Users that belong to a Customer ID |
email | string | No | — | Portal User email |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 100 results |
repairshopr_customers_list_search
Search all the things Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | No | — | Search query |
repairshopr_customers_update_contacts_by_id
Updates an existing Contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
address1 | string | No | — | The address1 value |
address2 | string | No | — | The address2 value |
city | string | No | — | The city value |
customer_id | integer | No | — | Customer Id |
email | string | No | — | The email value |
mobile | string | No | — | The mobile value |
name | string | Yes | — | The name value |
notes | string | No | — | The notes value |
phone | string | No | — | The phone value |
state | string | No | — | The state value |
title | string | No | — | The title value |
zip | string | No | — | The zip value |
repairshopr_customers_update_customers_by_id
Updates an existing Customer by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
address | string | No | — | The address value |
address_2 | string | No | — | Address 2 |
business_name | string | No | — | Business Name |
city | string | No | — | The city value |
consent | object | No | — | The consent value |
email | string | No | — | The email value |
firstname | string | No | — | The firstname value |
get_billing | boolean | No | — | Get Billing |
get_marketing | boolean | No | — | Get Marketing |
get_reports | boolean | No | — | Get Reports |
get_sms | boolean | No | — | Get Sms |
invoice_cc_emails | string | No | — | Invoice Cc Emails |
invoice_term_id | integer | No | — | Invoice Term Id |
lastname | string | No | — | The lastname value |
mobile | string | No | — | The mobile value |
no_email | boolean | No | — | No Email |
notes | string | No | — | The notes value |
notification_email | string | No | — | Notification Email |
opt_out | boolean | No | — | Opt Out |
phone | string | No | — | The phone value |
properties | object | No | — | The properties value |
ref_customer_id | integer | No | — | Ref Customer Id |
referred_by | string | No | — | Referred By |
state | string | No | — | The state value |
tax_rate_id | integer | No | — | Tax Rate Id |
zip | string | No | — | The zip value |
repairshopr_customers_update_leads_by_id
Updates an existing Lead by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
address | string | No | — | The address value |
appointment_time | string | No | — | Appointment Time |
appointment_type_id | integer | No | — | Appointment Type Id |
business_name | string | No | — | Business Name |
city | string | No | — | The city value |
contact_id | integer | No | — | Contact Id |
converted | boolean | No | — | The converted value |
customer_id | integer | No | — | Customer Id |
customer_purchase_id | integer | No | — | Customer Purchase Id |
disabled | boolean | No | — | The disabled value |
email | string | No | — | The email value |
first_name | string | No | — | First Name |
from_check_in | boolean | No | — | From Check In |
hidden_notes | string | No | — | Hidden Notes |
last_name | string | No | — | Last Name |
likelihood | integer | No | — | The likelihood value |
location_id | integer | No | — | Location Id |
mailbox_id | integer | No | — | Mailbox Id |
message_read | boolean | No | — | Message Read |
mobile | string | No | — | The mobile value |
opportunity_amount_dollars | number | No | — | Opportunity Amount Dollars |
opportunity_start_date | string | No | — | Opportunity Start Date |
phone | string | No | — | The phone value |
properties | object | No | — | The properties value |
signature_data | string | No | — | Signature Data |
signature_date | string | No | — | Signature Date |
signature_name | string | No | — | Signature Name |
state | string | No | — | The state value |
status | string | No | — | The status value |
ticket_description | string | No | — | Ticket Description |
ticket_id | integer | No | — | Ticket Id |
ticket_problem_type | string | No | — | Ticket Problem Type |
ticket_properties | object | No | — | Ticket Properties |
ticket_subject | string | No | — | Ticket Subject |
ticket_type_id | integer | No | — | Ticket Type Id |
user_id | integer | No | — | User Id |
zip | string | No | — | The zip value |
repairshopr_customers_update_portal_users_by_id
Updates an existing Portal User by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
contact_id | integer | No | — | Contact Id |
customer_id | integer | No | — | Customer Id |
email | string | No | — | The email value |
password | string | No | — | The password value |
password_confirmation | string | No | — | Password Confirmation |
portal_group_id | integer | No | — | Portal Group Id |

